# Uses of Interface
org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory.IAccessorFactory

Packages that use IAccessorFactory
Package
Description
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

## Uses of IAccessorFactory in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return IAccessorFactory
Modifier and Type
Method
Description
`protected IAccessorFactory`
CompareInputAdapter.`getAccessorFactoryForTarget()`
Returns the appropriate `IAccessorFactory` from the accessor factory registry.

## Uses of IAccessorFactory in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory

Methods in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory that return IAccessorFactory
Modifier and Type
Method
Description
`IAccessorFactory`
IAccessorFactory.Registry.`add(IAccessorFactory factory)`
Add the given factory to the registry.
`IAccessorFactory`
IAccessorFactory.Registry.`getHighestRankingFactory(Object target)`
Returns the highest ranking factory available for the given object.
`IAccessorFactory`
IAccessorFactory.Registry.`remove(String className)`
Remove the factory represented by the given class name.
Methods in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory that return types with arguments of type IAccessorFactory
Modifier and Type
Method
Description
`Collection<IAccessorFactory>`
IAccessorFactory.Registry.`getFactories(Object target)`
Returns all the factories available in the registry for the given object.
Methods in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory with parameters of type IAccessorFactory
Modifier and Type
Method
Description
`IAccessorFactory`
IAccessorFactory.Registry.`add(IAccessorFactory factory)`
Add the given factory to the registry.

## Uses of IAccessorFactory in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl that implement IAccessorFactory
Modifier and Type
Class
Description
`class`
`AbstractAccessorFactory`
An abstract implementation of `IAccessorFactory`.
`class`
`ComparisonAccessorFactory`
A specific `IAccessorFactory` for `Comparison` objects.
`class`
`ContainmentReferenceChangeAccessorFactory`
A specific `IAccessorFactory` for containment `ReferenceChange` objects.
`class`
`FeatureMapChangeMoveAccessorFactory`
A specific `IAccessorFactory` for FeatureMapChanges of kind DifferenceKind.MOVE (represent an entry that moved from map to another).
`class`
`FeatureMapKeyChangeAccessorFactory`
A specific `IAccessorFactory` for FeatureMapChanges of kind DifferenceKind.CHANGE (represent a value that changed his key).
`class`
`ManyStructuralFeatureAccessorFactory`
A specific `IAccessorFactory` for multi-valued structural feature objects.
`class`
`MatchAccessorFactory`
A specific `IAccessorFactory` for `Match` objects.
`class`
`MatchResourceAccessorFactory`
A specific `IAccessorFactory` for `MatchResource` objects.
`class`
`ResourceContentsAccessorFactory`
A specific `IAccessorFactory` for `ResourceAttachmentChange` objects.
`class`
`SingleStructuralFeatureAccessorFactory`
A specific `IAccessorFactory` for mono-valued structural feature objects.
`class`
`StringAttributeChangeAccessorFactory`
A specific `IAccessorFactory` for string-typed `AttributeChange` objects.
Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl that return IAccessorFactory
Modifier and Type
Method
Description
`IAccessorFactory`
AccessorFactoryRegistryImpl.`add(IAccessorFactory factory)`
Add the given factory to the registry.
`IAccessorFactory`
AccessorFactoryRegistryImpl.`getHighestRankingFactory(Object target)`
Returns the highest ranking factory available for the given object.
`IAccessorFactory`
AccessorFactoryRegistryImpl.`remove(String className)`
Remove the factory represented by the given class name.
Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl that return types with arguments of type IAccessorFactory
Modifier and Type
Method
Description
`List<IAccessorFactory>`
AccessorFactoryRegistryImpl.`getFactories(Object target)`
Returns all the factories available in the registry for the given object.
Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl with parameters of type IAccessorFactory
Modifier and Type
Method
Description
`IAccessorFactory`
AccessorFactoryRegistryImpl.`add(IAccessorFactory factory)`
Add the given factory to the registry.